Skip to main content
`Ctrl`+`K`

# PCMGGetAdaptCR

Get the flag to monitor coarse space quality using an auxiliary solve with compatible relaxation.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetAdaptCR(PC pc, PetscBool *cr)

Not Collective

## Input Parameter

- pc - the multigrid context

## Output Parameter

- cr - flag for compatible relaxaion

## See Also

KSP: Linear System Solvers, `PCMGSetAdaptCR()`, `PCMGGetAdaptInterpolation()`, `PCMGSetGalerkin()`, `PCMGGetAdaptCoarseSpaceType()`, `PCMGSetAdaptCoarseSpaceType()`

## Level

intermediate

## Location

src/ksp/pc/impls/mg/mg.c

## Implementations

PCMGGetAdaptCR_MG() in src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages